﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="protectedarea.aspx.cs" Inherits="CryptoPhoto.Test.ProtectedArea" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>CryptoPhoto .NET Demo</title>
    <style>
        body
        {
            font: bold 13px Arial, sans-serif;
        }
        
        .outer
        {
            display: table;
            position: absolute;
            height: 100%;
            width: 100%;
        }
        
        .middle
        {
            display: table-cell;
            vertical-align: middle;
        }
        
        .inner
        {
            margin-left: auto;
            margin-right: auto;
            width: 500px;
            background-color: #EEE;
            border-radius: 15px;
            -moz-border-radius: 15px;
            -webkit-border-radius: 15px;
            -webkit-font-smoothing: antialiased;
            border: 3px solid #777;
        }
        
        /* floating element container box fix - START*/
        .floatContainer:before, .floatContainer:after
        {
            content: "";
            display: table;
        }
        .floatContainer:after
        {
            clear: both;
        }
        .floatContainer
        {
            zoom: 1;
        }
        /* floating element container box fix - END*/
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <div class="outer">
        <div class="middle">
            <div class="inner">
                <div style="height: 40px; background-color: #777; color: #FFF; font: bold 13px Arial, sans-serif; border-radius: 10px 10px 0 0; -moz-border-radius: 10px 10px 0 0; -webkit-border-radius: 10px 10px 0 0">
                    <p style="text-align: center; padding: 10px; margin: 0">
                        Protected Area</p>
                </div>
                <div style="padding: 10px; color: #555; line-height: 28px">
                    <div style="overflow: hidden; color: green; padding: 20px;">
                        <p>
                            You have successfully authenticated via CryptoPhoto and have accessed the demo protected area.
                        </p>
                    </div>
                    <div style="margin: 0 40px 0 0; overflow: hidden">
                        <asp:Button runat="server" ID="btnLogout" OnClick="btnLogout_Click" Text="Logout" Style="float: right; width: 100px; height: 30px" />
                    </div>
                    <h2 style="text-align: center">Manage your CryptoPhoto tokens below</h2>
                    <div runat="server" id="manageTokens" style="padding: 8px; margin: 20px 0 0">
                        <asp:Literal runat="server" ID="litManageTokens" />
                    </div>
                </div>
            </div>
        </div>
    </div>
    </form>
</body>
</html>
